/* rfc-hdr.h: Gives basic list of rfc header types */

/*
 * @(#) $Header: /cs/research/pp/hubris/pp-beta/Format/rfc1148/RCS/rfc-hdr.h,v 5.0 90/09/20 16:02:11 pp Exp Locker: pp $
 *
 * $Log:	rfc-hdr.h,v $
 * Revision 5.0  90/09/20  16:02:11  pp
 * rcsforce : 5.0 public release
 * 
 *
 */



#ifndef _H_RFC1148_RFCHDR
#define _H_RFC1148_RFCHDR


struct rfc_hdr {
	char	*key;
	int	value;
};


/* ---  generic values --- */
#define HDR_ERROR		-1
#define HDR_EOH			0
#define HDR_ILLEGAL		1
#define HDR_IGNORE		2

/* --- 822 fields with specific mappings --- */
#define HDR_MID			4
#define HDR_FROM		5
#define HDR_SENDER		6
#define HDR_REPLY_TO		7
#define HDR_TO			8
#define HDR_CC			9
#define HDR_BCC			10
#define HDR_IN_REPLY_TO		11
#define HDR_REFERENCES		12
#define HDR_SUBJECT		13
#define HDR_EXTENSIONS		14
#define HDR_COMMENT		15
#define HDR_INCOMPLETE_COPY	16
#define HDR_LANGUAGE		17

#endif
