/* x400_parse.c: parse & handle x400 addresses */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/x400_parse.c,v 5.0 90/09/20 16:09:55 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/x400_parse.c,v 5.0 90/09/20 16:09:55 pp Exp Locker: pp $
 *
 * $Log:	x400_parse.c,v $
 * Revision 5.0  90/09/20  16:09:55  pp
 * rcsforce : 5.0 public release
 * 
 */



#include "head.h"
#include "or.h"
#include "adr.h"

extern char	or_error[];
extern void err_abrt ();
/* ---------------------  Begin  Routines  -------------------------------- */




int x400_parse (ad, por)
ADDR    *ad;
OR_ptr	*por;
{
	char		tbuf[LINESIZE];

	*por = NULLOR;
	PP_DBG (("x400_parse (%s)", ad->ad_value));

	if (ad->ad_r400adr == NULLCP) {
		*por = or_std2or (ad->ad_value);
		if (*por != NULLOR) {
			*por = or_default(*por);
			or_or2std (*por, tbuf, FALSE);
			ad->ad_r400adr = strdup (tbuf);
		}
	}
	else 
		*por = or_std2or (ad->ad_r400adr);


	if (*por == NULLOR) {
		ad->ad_parse_message = strdup(or_error);
		return RP_PARSE;
	}
	return RP_AOK;
}
